datacache <- new.env(hash=TRUE, parent=emptyenv())

mapping50kxba240hsug <- function() showQCData("mapping50kxba240hsug", datacache)
mapping50kxba240hsug_dbconn <- function() dbconn(datacache)
mapping50kxba240hsug_dbfile <- function() dbfile(datacache)
mapping50kxba240hsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mapping50kxba240hsug_dbInfo <- function() dbInfo(datacache)

mapping50kxba240hsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mapping50kxba240hsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "mapping50kxba240hsug", "chip mapping50kxba240hsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mapping50kxba240hsug_dbconn())
}

